Get automation action log
curl --request GET \
--url https://app.drippi.ai/api/v1/automations/{id}/actionLog \
--header 'x-api-key: <api-key>'import requests
url = "https://app.drippi.ai/api/v1/automations/{id}/actionLog"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.drippi.ai/api/v1/automations/{id}/actionLog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"actionLog": [
{
"id": "<string>",
"automationId": "<string>",
"action": "<string>",
"message": "<string>",
"leadData": {
"id": "<string>",
"name": "<string>",
"username": "<string>",
"twid": "<string>",
"profileImageUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"website": "<string>",
"followersCount": 123,
"followingCount": 123,
"tweetCount": 123,
"listedCount": 123,
"verified": true,
"protected": true,
"sourceId": "<string>",
"status": "<string>",
"createdAt": {
"_seconds": 123,
"_nanoseconds": 123
},
"updatedAt": {
"_seconds": 123,
"_nanoseconds": 123
}
},
"error": {
"message": "<string>",
"code": "<string>"
},
"logsAndUsage": {
"creditsUsed": 123,
"tokensUsed": 123
},
"updatedAt": {
"_seconds": 123,
"_nanoseconds": 123
},
"details": {}
}
]
}{
"status": "error",
"message": "Something went wrong"
}{
"status": "error",
"message": "Something went wrong"
}Automations
Get Automation Action Log
Returns the action log for a specific automation within a specified time period
GET
/
automations
/
{id}
/
actionLog
Get automation action log
Returns the action log for a specific automation within a specified time period. This endpoint provides detailed information about all actions performed by the automation, including timestamps and action details. Use the
from and to query parameters to filter by date range.Authorizations
API key for authentication
Path Parameters
Automation ID
Query Parameters
Start date (ISO 8601 format)
End date (ISO 8601 format)
⌘I